#!/bin/bash
# ----------------------------------------------------------------------------
# /var/install/config.d/quasselcore - QUASSEL_CORE configuration
#
# Creation   : 2009-12-14 Marcel Weiler
#
# Copyright (c) 2001-2013 The eisfair Team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

#exec 2> /tmp/quasselcore-trace$$.log
#set -x

# set package name
packageName=quasselcore

# ----------------------------------------------------------------------------
# Includes
# ----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

# include config
. /etc/config.d/${packageName}


# ----------------------------------------------------------------------
# Functions
# ----------------------------------------------------------------------
_edit_logrotate_file()
{
    creationTime=`date --iso-8601='seconds'`
    
        {
	        echo '# ----------------------------------------------------------------------------'
    	    echo "# /etc/logrotate.d/${packageName} created by ${0}"
	        echo '#'
    	    echo '# DO NOT EDIT THIS FILE BY HAND! Use alpeis setup!'
    	    echo '#'
    	    echo "# Created: ${creationTime}"
    	    echo '# ----------------------------------------------------------------------------'
    	    echo "/var/log/${packageName}/core.log {"
        } > /etc/logrotate.d/${packageName}

        cat >> /etc/logrotate.d/${packageName} <<-EOFG
        rotate ${QUASSEL_CORE_LOG_COUNT}
        ${QUASSEL_CORE_LOG_INTERVAL}
        compress
        delaycompress
        copytruncate
        missingok
        notifempty
	}
EOFG
}



# ----------------------------------------------------------------------------
# Main
# ----------------------------------------------------------------------------

# TODO Refactor this...
# add symlinks if quasselcore is configured to start automatically
#if [ "${START_QUASSEL_CORE}" = 'yes' ] ; then
#    _add_rc_symlinks
#else
#    _delete_rc_symlinks
#fi

# change logrotate file to actual config settings
_edit_logrotate_file

exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------
